Page MenuHomePhabricator

Provide query for tasks ("my bugs") that I reported on my user page
Closed, ResolvedPublic

Description

Upstreamed as https://secure.phabricator.com/T5379

I find myself more and more often looking for reports I filed and there is no obvious way to do it (of course made worse by current search outage, T395).

On http://fab.wmflabs.org/p/Nemo_bis/ I currently see 4 actions across 3 days (what?! it used to be many more) but no link to "more" or "all" or anything at the bottom; at the top I have "Edit Profile Edit Profile Picture View Revisions View Tasks View Commits Send Message" but "View tasks" is about bugs assigned to the user.

Bugzilla has "my bugs" in main page.

Details

Reference
fl418

Event Timeline

flimport raised the priority of this task from to Low.Sep 12 2014, 1:40 AM
flimport set Reference to fl418.

aklapper wrote on 2014-06-15 12:27:00 (UTC)

You can query for you being the author on http://fab.wmflabs.org/maniphest/query/advanced/ - if this is about extending links on your user homepage (which does not even exist in Bugzilla) that's probably an upstream enhancement request.

qgil wrote on 2014-06-16 18:37:42 (UTC)

One difference between Bugzilla and Phabricator is that in the latter you might be interested in "My tasks", but perhaps also in "My mockups", "My revisions", etc.

Now users can create the searches they need and save them (see example of the tasks I created here). In fact "View tasks" is simply a link to an editable search query.

I'm not 100% sure, but Phabricator upstream is overhauling Dashboards (user homepages). There, users will be able to add configurable blocks and tabs (?), including predefined search queries. Perhaps this is how this request will be conveniently solved one day.

aklapper wrote on 2014-08-27 16:32:29 (UTC)

Upstream comment: "it doesn't make sense for this page to have dozens of queries of everything you've created/touched in every application. We'll probably either replace it with dashboards or build something high-level."

qgil wrote on 2014-08-27 20:33:12 (UTC)

I'm still learning the basics of dashboards, but for starters have a look to http://fab.wmflabs.org/dashboard/view/4/

Qgil closed this task as Resolved.Sep 24 2014, 2:36 PM
Qgil claimed this task.

In the homepage there is a tab "Assigned To Me".

If you want more custom queries you can create your own dashboard with the panels you wish. See https://phabricator.wikimedia.org/dashboard/

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMay 23 2016, 6:06 PM